<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3"
        crossorigin="anonymous"></script>
        <style>
            .color-box {
                width: 40px;
                height: 40px;
                border-radius: 50%;
                margin: 7px;
                display: inline-block;
            }

            .clic{
                cursor: pointer;
            }

            .quantity button{
                border-radius: 50%;
                display: inline-block;
                width: 30px;
            }
            .quantity div{
                text-align: center;
                min-width: 30px;
                display: inline-block;
                font-weight: bold;
            }
            .buy-box{
                margin: 20px;
            }
            footer {
                
                text-align: center;
                padding: 30px 10px;
                margin-top: 50px;
                min-height: 100px;
            }
            .container{
                margin-top: 50px;
            }
            .producto-relacionado-precio{
                background: orangered;
                color: white;
                text-align: center;
                padding: 10px; 
            }
        </style>
</head>

<body>
<div id="app">
    <nav class="navbar navbar-expand-lg " :style="'background-color: ' + configuracionPagina.menuColor">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">{{ configuracionPagina.marca }}</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li v-for="menu of configuracionPagina.menus" class="nav-item">
                        <a class="nav-link" aria-current="page" :href="menu.url">{{ menu.etiqueta }}</a>
                    </li>

                </ul>
            </div>
        </div>
    </nav>

    <div class="container">

        <div class="row">
            <h3>{{ producto.nombre }}</h3>
        </div>
        <div class="row">
            <div class="col-12 col-sm-6 col-md-4 ">
                <img :src="producto.imagen"
                    alt="" style="width: 350px;">
            </div>
            <div class="col-12 col-sm-6  col-md-8">
                <h6 v-html="producto.descripcion"></h6>
                <div class="p-3 mb-2 text-white" :style="configuracionPagina.precioEstilos">
                    {{ 'Precio: ' + producto.precio + ' BOB' }}
                </div>
                <h5>Color</h5>
                <div>
                    <div v-for="color of producto.colores" class="color-box clic" :style="'background: ' + color" @click="seleccionarColor(color); habilitarComprar();"></div>

                </div>
                <h5>Cantidad</h5>
                <div class="quantity">
                    <button @click="cantidad = cantidad - 1; habilitarComprar()">-</button> <div>{{ cantidad }}</div> <button @click="cantidad = cantidad + 1; habilitarComprar()">+</button>
                </div>
                <div class="buy-box">
                    <button type="button" class="btn btn-primary" :disabled = "deshabilitarComprar" @click="Comprar()">Comprar</button>
                </div>
                
            </div>
        </div>
    </div>



    <div class="container ">

        <div class="row">
            <h4>Productos relacionados</h4>
        </div>
        <div class="row">
            <div v-for="productoRelacionado of productosRelacionados" class="col">
                <div class="card" style="width: 18rem;">
                    <div class="card-body">
                        <h5 class="card-title">{{ productoRelacionado.nombre }}</h5>
                        <img :src="productoRelacionado.imagen"
                    alt="" style="width: 350px;">
                        <p class="card-text">{{ productoRelacionado.descripcion }}</p>
                            <div class="producto-relacionado-precio" :style="configuracionPagina.precioEstilos">{{ 'Precio ' + productoRelacionado.precio + ' BOB'}}</div>
                        <div>
                <div>
                    <div v-for="color of productoRelacionado.colores" class="color-box" :style="'background:' + color"></div>

                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <footer :style="'background-color: ' + configuracionPagina.footerColor">
        
    </footer>
</div>
    <script type="module">
        import { createApp, ref } from './js/vue.esm-browser.js'
        createApp({
            data() {
                return {
                    colorSel:null,
                    cantidad:0,
                    deshabilitarComprar:true,
                    configuracionPagina: {
                        marca: "MegaDron",
                        menuColor: "lightblue",
                        footerColor: "slategrey",
                        precioEstilos: "background: orangered; color: white; font-weight: bold",
                        menus: [
                            {
                                etiqueta: "Inicio",
                                url: "?"
                            },
                            {
                                etiqueta: "Tienda",
                                url: "?"
                            }
                        ]
                    },
                    producto: {
                        id: 1,
                        imagen: "/img/dron1.jpg",
                        nombre: "Dron LU3 MAX GPS 8K HD",
                        descripcion: "Dron LU3 MAX GPS 8K HD profesional con <b>cámara Dual</b>, cardán autoestabilizador, Motor sin escobillas para evitar obstáculos, cuadricóptero plegable",
                        precio:"620",
                        colores: ["red", "blue", "black", "yellow"]
                    },
                    productosRelacionados: [
                        {
                            id:2,
                            imagen:"/img/dron2.jpg",
                            nombre: "KF102",
                            descripcion: "Dron plegable KF102 con Gps, 8K, cámara Dual HD, 2 ejes, cardán, Motor sin escobillas, fotografía aérea, 1200M de distancia, novedad de 2022",
                            precio:"1180",
                            colores: ["orange", "blue"]
                        },
                        {
                            id:3,
                            imagen: "/img/dron3.jpg",
                            nombre: "KBDFA-Dron E888 RC",
                            descripcion: "KBDFA-Dron E888 RC, cuadricóptero profesional FPV, 4K HD, fotografía aérea, evitación de obstáculos, helicóptero, juguetes de distancia",
                            precio:"154",
                            colores: ["black", "midnightblue"]
                        },
                        {
                            id:4,
                            imagen: "/img/dron4.jpg",
                            nombre: "Dron Profesional 4K con GPS",
                            descripcion: "Dron Profesional 4K con GPS, 8K, cámara HD, 3 ejes, cardán antivibración, evitación de obstáculos, fotografía aérea, Quadcopter, nuevo",
                            precio:"1800",
                            colores: ["teal", "blue", "slategrey", "navy"]
                        }
                    ],
                    pedido:
                    {
                        id:null,
                        cantidad: 1,
                        color:null
                    }
                }
            },
            methods: {
                seleccionarColor(color){
                    this.colorSel = color;
                    alert('color seleccionado es: ' + this.colorSel);
                },
                habilitarComprar(){
                    if (this.cantidad > 0 && this.colorSel) {
                        this.deshabilitarComprar = false;
                    }
                    else
                    {
                        this.deshabilitarComprar = true;
                    }
                },
                Comprar(){
                    this.pedido.id = this.producto.id;
                    this.pedido.cantidad = this.cantidad;
                    this.pedido.color = this.colorSel;
                    alert(JSON.stringify(this.pedido));
                }
            },
        }).mount('#app')
 </script>
</body>

</html>